# Don't generate debuginfo for new versions.
%define debug_package %{nil}

Name:            psutils
Version:         2.08
Release:         3
Summary:         Utilities for manipulating PostScript documents
License:         psutils
URL:             https://github.com/rrthomas/psutils
# wget https://github.com/rrthomas/psutils/archive/v1.23.tar.gz && tar xf v1.23.tar.gz && cd psutils-1.23
# then run:
# ./bootstrap && autoreconf -vfi && cd .. &&  tar -cvf psutils-1.23.tar.gz  psutils-1.23 
Source0:         %{name}-%{version}.tar.gz
Patch0:          psutils-paperconf.patch
Patch1:          rewrite-papersize.patch

BuildRequires:   gcc
BuildRequires:   perl-generators
BuildRequires:   perl(File::Basename)
BuildRequires:   perl(Getopt::Long)
BuildRequires:   perl(strict)
BuildRequires:   perl(warnings)
Requires:        /usr/bin/paperconf
Provides:        bundled(gnulib)
Provides:        psutils-perl = %{version}-%{release}
Obsoletes:       psutils-perl < %{version}-%{release}

%package_help

%description
PSUtils is a suite of utilities for manipulating PostScript documents
produced according to the Document Structuring Conventions. You can select
and rearrange pages, including arrangement into signatures for booklet
printing, combine multple pages into a single page for n-up printing, and
resize, flip and rotate pages.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
make %{?_smp_mflags}


%install
%make_install

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/*
%{_datadir}/%{name}

%files help
%defattr(-,root,root)
%doc README LICENSE
%{_mandir}/man1/*1*

%changelog
* Fri Apr 19 2024 Ge Wang <wang__ge@126.com> - 2.08-3
- Rewrite papersize to fix psnup psresize execute error

* Sun Apr 07 2024 wulei <wu_lei@hoperun.com> - 2.08-2
- Fix could not run 'paper' command

* Fri May 06 2022 misaka00251 <misaka00251@misakanet.cn> - 2.08-1
- Upgrade package version

* Tue Dec 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.23-15
- Package init
